Skip to content

Check if a domain or handle is allowed for TLS certificate validation. Used for Caddy SSL certificate issuance.

GET
/pds/tls-check
curl --request GET \
--url 'https://api.tophhie.cloud/pds/tls-check?domain=example'
domain
required
string

OK.

Media typetext/plain
string

Input Validation Error

Media typeapplication/json
object
success
required
boolean
errors
required
Array<object>
object
code
required
number
message
required
string
path
required
Array<string>
Example
{
"success": false,
"errors": [
{
"code": 7001,
"message": "Input Validation Error",
"path": [
"body"
]
}
]
}